module ConfigStore
	class Client

		include AccountClientMethods
		include NamespaceClientMethods
		include RecordClientMethods
		include TokenClientMethods

		def initialize(token:, base_url:)
			@api = ConfigStore::API.new(token: token, base_url: base_url)
		end

	end
end
