module ConfigStore
	class Namespace < Model

		ATTRIBUTES = {
			uuid: TypedAttrAccessor::TYPE_STRING,
			name: TypedAttrAccessor::TYPE_STRING,
			delete_protection: TypedAttrAccessor::TYPE_BOOLEAN,
			record_count: TypedAttrAccessor::TYPE_INTEGER,
			created_at: TypedAttrAccessor::TYPE_DATE_TIME,
			updated_at: TypedAttrAccessor::TYPE_DATE_TIME,
		}.deep_freeze

		API_ATTRIBUTE_LIST = [:uuid, :name, :delete_protection, :record_count, :created_at, :updated_at].deep_freeze

		attributes_hash.each do |name, type_alias|
			typed_attr_accessor(name, type_alias)
		end

	end
end
