module ConfigStore
	class Token < Model

		ATTRIBUTES = {
			uuid: TypedAttrAccessor::TYPE_STRING,
			description: TypedAttrAccessor::TYPE_STRING,
			secret: TypedAttrAccessor::TYPE_STRING,
			expiry: TypedAttrAccessor::TYPE_DATE_TIME,
			created_at: TypedAttrAccessor::TYPE_DATE_TIME,
			updated_at: TypedAttrAccessor::TYPE_DATE_TIME,
		}.deep_freeze

		API_ATTRIBUTE_LIST = [:uuid, :description, :secret, :expiry, :created_at, :updated_at].deep_freeze

		attributes_hash.each do |name, type_alias|
			typed_attr_accessor(name, type_alias)
		end

	end
end
